Last Comment Bug 795224 - Nightly 27/9: no more backspace nor arrows on the deck Asus Transformer
: Nightly 27/9: no more backspace nor arrows on the deck Asus Transformer
Status: RESOLVED FIXED
: regression
Product: Firefox for Android
Classification: Client Software
Component: Keyboards and IME (show other bugs)
: 18 Branch
: ARM Android
: -- normal (vote)
: Firefox 18
Assigned To: Makoto Kato [:m_kato]
: Aaron Train [:aaronmt]
:
Mentors:
Depends on:
Blocks: 669361
  Show dependency treegraph
 
Reported: 2012-09-28 00:01 PDT by roumensois@gmail.com
Modified: 2012-10-05 15:50 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
wontfix
+
fixed
+
fixed


Attachments
fix (2.89 KB, patch)
2012-10-01 01:04 PDT, Makoto Kato [:m_kato]
cpeterson: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description roumensois@gmail.com 2012-09-28 00:01:08 PDT
User Agent: Mozilla/5.0 (Windows NT 6.1; rv:15.0) Gecko/20100101 Firefox/15.0.1
Build ID: 20120905151427

Steps to reproduce:

Installed nightly build 27/09 to solve problem with bug 669361. Bug solved.


Actual results:

Backspace and arrows keys on the deck are not recognized


Expected results:

Shoud be recognized
Comment 1 Alex Keybl [:akeybl] 2012-09-28 10:26:34 PDT
We don't plan to take bug 669361 for FF16, so no need to track there.
Comment 2 Lukas Blakk [:lsblakk] use ?needinfo 2012-09-28 15:31:40 PDT
Tracking for 17, if bug 669361 is uplifted to 17, we'll want this too.
Comment 3 Makoto Kato [:m_kato] 2012-10-01 01:04:10 PDT
Created attachment 666460 [details] [diff] [review]
fix

onKeyDown/onKeyUp/onKeyMultiple shouldn't return false
Comment 4 Chris Peterson [:cpeterson] 2012-10-01 10:44:57 PDT
Comment on attachment 666460 [details] [diff] [review]
fix

Review of attachment 666460 [details] [diff] [review]:
-----------------------------------------------------------------

LGTM
Comment 6 Ed Morley [:emorley] 2012-10-02 08:58:22 PDT
https://hg.mozilla.org/mozilla-central/rev/ac5c29ec176b
Comment 7 Chris Peterson [:cpeterson] 2012-10-05 10:39:28 PDT
Comment on attachment 666460 [details] [diff] [review]
fix

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 669361
User impact if declined: Asus Transformer's hardware keyboards will always have en-US key layouts, regardless of user locale.
Testing completed (on m-c, etc.): m-c
Risk to taking this patch (and alternatives if risky): If bug 669361 is uplifted to fix Asus Transformer's hardware keyboard layouts, then this patch must also bug uplifted (to fix a regression from bug 669361).
String or UUID changes made by this patch: N/A
Comment 8 Lukas Blakk [:lsblakk] use ?needinfo 2012-10-05 15:09:59 PDT
Comment on attachment 666460 [details] [diff] [review]
fix

approving for aurora since this is needed by the fix in bug 669361, please land before monday oct 8th merge.
Comment 9 Chris Peterson [:cpeterson] 2012-10-05 15:50:45 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/4411e891e61f

Note You need to log in before you can comment on or make changes to this bug.